Pixxel

Create an order

Create a new order with tasking or/and archive orderitems

POST/v0/orders
Authorisations
AuthorizationString
Request Body
dry_runboolean
default is falseExample: false
order_itemsobject[]required
Show child attributes
Response
application/json
Created
created_atstring
Example: "2020-01-01T00:00:00+00:00"
created_bystring
uuid of the user who created the orderExample: "47435e2b-d8c4-41ff-9de9-2be3bfc92270"
idstring
Example: "47435e2b-d8c4-41ff-9de9-2be3bfc92276"
order_itemsobject[]
Show child attributes
org_idstring
Example: "e31ab6f8-d359-4c6a-83c6-bfa32229bb01"
paid_atstring
Example: ""
statusstring
payment status of the order PAID/UNPAID/PAYMENT_IN_PROGRESSExample: "PAID"
total_amountnumber
Example: 1000
transaction_idstring
Example: "3671066b-c4fd-4201-8e02-470cb6bc088e"
updated_atstring
Example: "2020-01-01T00:00:00+00:00"
updated_bystring
uuid of the user who last updated the orderExample: "47435e2b-d8c4-41ff-9de9-2be3bfc92270"
user_idstring
Example: "90afd20d-8447-4636-a60d-73102008856c"
Create an order
1curl -X POST 'https://api.pixxel.space/v0/orders' \
2 -H 'Authorization: YOUR_API_KEY' \
3 -H 'Content-Type: application/json' \
4 -d '{
5 "dry_run": false,
6 "order_items": [
7 {
8 "project_id": "1234567890",
9 "name": "Order Item 1",
10 "geometry": {
11 "features": [
12 {
13 "geometry": {
14 "coordinates": [
15 [
16 [
17 0
18 ]
19 ]
20 ],
21 "type": "string"
22 },
23 "type": "string"
24 }
25 ],
26 "type": "string"
27 },
28 "recurrence": "ONCE",
29 "start_date": "2020-10-22T00:00:00Z",
30 "end_date": "2020-10-28T00:00:00Z",
31 "no_of_occurrences": 0,
32 "cloud_cover": 20,
33 "off_nadir": 20,
34 "bandset": {
35 "bandset_id": "string"
36 },
37 "delivery_speed": "STANDARD",
38 "usecase": "agriculture",
39 "item_ids": [
40 "string"
41 ],
42 "cloud_delivery": {
43 "config": "d5f40033-4abd-48a1-a2f1-276df6edfeaf",
44 "path": "my-bucket/my-folder"
45 }
46 }
47 ]
48}'
Response:
{
"created_at": "2020-01-01T00:00:00+00:00",
"created_by": "47435e2b-d8c4-41ff-9de9-2be3bfc92270",
"id": "47435e2b-d8c4-41ff-9de9-2be3bfc92276",
"order_items": [
{
"area": 1000,
"bandset": null,
"base_amount": 10000,
"cloud_cover": 0,
"cloud_delivery": null,
"created_at": "2024-05-27T06:50:20.056549Z",
"created_by": "b64d2c37-89c3-404d-8395-dedb0fe9131c",
"delivery_speed": "STANDARD",
"end_date": "2020-10-28T00:00:00Z",
"feasibility_status": "FAILED/WEAK_SUCCESS/SUCCESS",
"final_amount": 12000,
"id": "47435e2b-d8c4-41ff-9de9-2be3bfc92276",
"image_type": "VNIR",
"images": [
{
"geometry": null,
"item_id": "string"
}
],
"last_feasibility_check": "2024-05-27T06:50:20.056549Z",
"name": "order item 1",
"no_of_occurrences": 0,
"number_of_bands": 2,
"occurrences": [
{
"end": "2020-01-01T00:00:00+00:00",
"start": "2020-01-01T00:00:00+00:00"
}
],
"off_nadir": 0,
"order_id": "47435e2b-d8c4-41ff-9de9-2be3bfc92276",
"org_id": "47435e2b-d8c4-41ff-9de9-2be3bfc92276",
"payment_status": "PAID/PARTIAL-REFUND/REFUND/UNPAID/PARTIAL-MONTHLY",
"project_id": "47435e2b-d8c4-41ff-9de9-2be3bfc92276",
"recurrence": "ONCE",
"start_date": "2020-10-22T00:00:00Z",
"status": "DRAFT/ACTIVE/FULFILLED/CANCELLED/FAILED/PARTIALLY_FULFILLED",
"tokens_used": 100,
"transaction_id": "47435e2b-d8c4-41ff-9de9-2be3bfc92276",
"type": "TASKING/ARCHIVE/RECURRING",
"updated_at": "2024-05-27T06:50:20.056549Z",
"updated_by": "274a30f5-9ff2-4cc7-8680-7b2e076b9faf",
"uplifts": [
{
"amount": 0,
"item_id": "string",
"percentage": 0,
"subtitle": "string",
"title": "string"
}
],
"usecase": "agriculture",
"user_id": "47435e2b-d8c4-41ff-9de9-2be3bfc92276"
}
],
"org_id": "e31ab6f8-d359-4c6a-83c6-bfa32229bb01",
"paid_at": "",
"status": "PAID",
"total_amount": 1000,
"transaction_id": "3671066b-c4fd-4201-8e02-470cb6bc088e",
"updated_at": "2020-01-01T00:00:00+00:00",
"updated_by": "47435e2b-d8c4-41ff-9de9-2be3bfc92270",
"user_id": "90afd20d-8447-4636-a60d-73102008856c"
}